Set Project Module
PUT/api/v5/repos/:owner/:repo/module/setting
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
Query Parameters
access_token stringrequired
User authorization code
- application/json
Body
has_wikiboolean
Whether to set the wiki
has_issueboolean
Whether to set the issue
has_securityboolean
Whether to set up security configuration
has_merge_requestboolean
Whether to set the merge request
has_forkboolean
Whether to set fork
has_analysisboolean
Whether to set up analytics
has_discussionboolean
Whether to set the discussion
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- 1
Schema
msgstring
codeinteger
{
"msg": "string",
"code": 0
}
Successful Example
{
"msg": "success",
"code": 1
}